### Method

# Malcontent WebFilterBuilder add_block_list

since: 0.14.0

#### Declaration [src]

    void
    mct_web_filter_builder_add_block_list (
      MctWebFilterBuilder* builder,
      const char* id,
      const char* filter_uri
    )

#### Description [src]

Adds a block list to the `MctWebFilter`, mapping the given `id` to a filter list downloadable at `filter_uri`.

All the entries at `filter_uri` will be blocked. They must all be hostnames; see the top-level documentation for `MctWebFilter` for details of the allowed filter list and ID formats.

The filter list will be downloaded when the user’s web filter is compiled, not when this function is called.

Available since: 0.14.0

#### Parameters

`id`

  Type: `const char*`

  ID of the filter.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`filter_uri`

  Type: `const char*`

  URI of the filter to download.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.